Bug 173332 - superfluous requires openssl and imprecise requires
superfluous requires openssl and imprecise requires
Product: Fedora
Classification: Fedora
Component: libesmtp (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Pawel Salek
Fedora Extras Quality Assurance
: FutureFeature
Depends On:
  Show dependency treegraph
Reported: 2005-11-16 07:57 EST by Patrice Dumas
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version: 1.0.3r1-4
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-12-04 16:23:08 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
diff for the spec file (2.32 KB, patch)
2005-11-16 07:59 EST, Patrice Dumas
no flags Details | Diff
LGPL file (25.81 KB, text/plain)
2005-11-16 08:00 EST, Patrice Dumas
no flags Details

  None (edit)
Description Patrice Dumas 2005-11-16 07:57:46 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; fr; rv:1.7.12) Gecko/20050922 Fedora/1.0.7-1.1.fc4 Firefox/1.0.7

Description of problem:
Not very important, but I made a patch with various cleanups:

Requires: openssl
seems superfluous to me as rpm will find it automatically.

for the devel package, the requires of the main package should be
Requires: %{name} = %{version}-%{release}
instead of
Requires: %{name} = %{version}

I don't remember why but it was mentionned in a thread on fedora-extras-list I can find if you want.

There is another issue, namely that the licence is LGPL for most files but the COPYING files are all GPL copying files. I believe a LGPL licence should be added. I attach that file too.

The examples directory isn't distributed.

As the examples file is distributed, the licence for the -devel package is now GPL/LGPL and the COPYING.GPL belongs to that subpackage.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. not relevant

Additional info:
Comment 1 Patrice Dumas 2005-11-16 07:59:19 EST
Created attachment 121122 [details]
diff for the spec file
Comment 2 Patrice Dumas 2005-11-16 08:00:12 EST
Created attachment 121123 [details]
LGPL file
Comment 3 Pawel Salek 2005-12-04 16:23:08 EST
Thanks - it should be fixed now for FC-4 target at least (I should get around to
adding the dist part tot he release version). There are currently some problems
building packages for the development target.

Note You need to log in before you can comment on or make changes to this bug.